[Pkg-virtualbox-commits] r239 - trunk/debian

bengen at alioth.debian.org bengen at alioth.debian.org
Wed Mar 12 23:17:47 UTC 2008


Author: bengen
Date: 2008-03-12 23:17:47 +0000 (Wed, 12 Mar 2008)
New Revision: 239

Added:
   trunk/debian/virtualbox-ose.if-post-down
   trunk/debian/virtualbox-ose.if-pre-up
Modified:
   trunk/debian/changelog
   trunk/debian/rules
Log:
Added scripts for managing vbox interfaces from /etc/network/interfaces


Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2008-03-10 12:08:05 UTC (rev 238)
+++ trunk/debian/changelog	2008-03-12 23:17:47 UTC (rev 239)
@@ -1,11 +1,16 @@
-virtualbox-ose (1.5.6-dfsg-3) unstable; urgency=low
+virtualbox-ose (1.5.6-dfsg-3) UNRELEASED; urgency=low
 
+  [ Michael Meskes ]
   * Fixed architecture check in virtualbox-ose-source rules file, closes: #469882
   * Added just another patch to the initscript. This patch makes sure the tun
     module is only loaded if it is needed, closes: #470172
 
- -- Michael Meskes <meskes at debian.org>  Mon, 10 Mar 2008 11:35:44 +0100
+  [ Hilko Bengen ]
+  * Added scripts for managing `vbox' interfaces from
+    /etc/network/interfaces
 
+ -- Hilko Bengen <bengen at debian.org>  Wed, 12 Mar 2008 22:53:07 +0100
+
 virtualbox-ose (1.5.6-dfsg-2) unstable; urgency=low
 
   [ Daniel Baumann ]

Modified: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2008-03-10 12:08:05 UTC (rev 238)
+++ trunk/debian/rules	2008-03-12 23:17:47 UTC (rev 239)
@@ -92,6 +92,9 @@
 	# We also need to build a preinst file
 	sed -e 's/UPSTREAM/"$(upstreamversion)"/' < debian/$(sname).preinst.in > debian/$(sname).preinst
 
+	# Install helper scripts for vbox* interfaces
+	dh_installifupdown -p${sname}
+
 binary-arch: build install
 	dh_testdir -a
 	dh_testroot -a

Added: trunk/debian/virtualbox-ose.if-post-down
===================================================================
--- trunk/debian/virtualbox-ose.if-post-down	                        (rev 0)
+++ trunk/debian/virtualbox-ose.if-post-down	2008-03-12 23:17:47 UTC (rev 239)
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+case "${IFACE}" in
+    vbox*)
+            ARGS="-d ${IFACE}"
+        ;;
+    *)
+        exit 0
+        ;;
+esac
+
+test -x /usr/lib/virtualbox/VBoxTunctl || exit 0
+
+/usr/lib/virtualbox/VBoxTunctl $ARGS

Added: trunk/debian/virtualbox-ose.if-pre-up
===================================================================
--- trunk/debian/virtualbox-ose.if-pre-up	                        (rev 0)
+++ trunk/debian/virtualbox-ose.if-pre-up	2008-03-12 23:17:47 UTC (rev 239)
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+case "${IFACE}" in
+    vbox*)
+        ARGS="-t ${IFACE}"
+        ;;
+    *)
+        exit 0
+        ;;
+esac
+
+test -x /usr/lib/virtualbox/VBoxTunctl || exit 0
+
+if [ -n "${IF_VIRTUALBOX_USER}" ]; then
+    ARGS="-u ${IF_VIRTUALBOX_USER} $ARGS"
+fi
+# if [ -n "${IF_VIRTUALBOX_GROUP}" ]; then
+#     ARGS="-g ${IF_VIRTUALBOX_GROUP} $ARGS"
+# fi
+
+/usr/lib/virtualbox/VBoxTunctl $ARGS




More information about the Pkg-virtualbox-commits mailing list